<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

session_start();

require_once('../lib/gettext/gettext.inc');
include_once('../inc/config.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../inc/func_log.inc.php');
if ((CheckURLLog(TRUE) == FALSE) OR (CheckNivLog('5-9') == FALSE)) {
    header('Location: ../index.php');
}
include_once('../inc/func.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$titre = valpost('titre');
$td = valpost('td');

$code = str_majuscules(valpost('code'));
$desc = str_majuscules(valpost('desc'));
$img = valpost('image');
$depl = valpost('depl');

$retourliste = TRUE;
$msg = '';

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

switch ($td) {
    // Ajout de la fiche Lieu
    case 'add' :
        $rech = 'SELECT COUNT(*) FROM `' . TBLIEU . "` WHERE lieu_code = '$code'";
        $nb_rs = $db->get_var($rech);
        if ($nb_rs == 0) {
            $rech2 = 'INSERT INTO `' . TBLIEU . '` (lieu_code,lieu_desc,lieu_img,lieu_depl,lieu_delok) VALUES';
            $rech2 .= " ('" . $db->escape($code) . "','" . $db->escape($desc) . "','" . $db->escape($img) . "','$depl','1')";
            $db->query($rech2);
            $msg = _('Fiche ajoutée');
        } else {
            $msg = _('Ce code existe déjà');
            $retourliste = FALSE;
        }
        break;

    // Modification de la fiche Lieu
    case 'edit' :
        $rech = 'UPDATE `' . TBLIEU . "` SET `lieu_desc`='" . $desc . "', `lieu_depl`='" . $depl . "' WHERE `lieu_code` = '" . $code . "'";
        $db->query($rech);
        $msg = _('Fiche modifiée');
        break;

    // Suppression de la fiche Lieu
    case 'del' :
        $ok_del = TRUE;

        // Vérifie si utilisé dans une intervention
        $rexist = 'SELECT COUNT(*) FROM `' . TBINT . "` WHERE `int_codelieu` = '$code'";
        $nb_rs = $db->get_var($rexist);
        if ($nb_rs <> 0) {
            $msg = _('Ce lieu est utilisé dans une intervention');
            $ok_del = FALSE;
            $retourliste = FALSE;
        }

        // Vérifie si utilisé dans un détail horaire intervention
        $rexist = 'SELECT COUNT(*) FROM `' . TBINTH . "` WHERE `inth_codelieu` = '$code'";
        $nb_rs = $db->get_var($rexist);
        if ($nb_rs <> 0) {
            if (trim($msg) <> '') {
                $msg .= '<br />';
            }
            $msg = _('Ce lieu est utilisé dans un détail horaire intervention');
            $ok_del = FALSE;
            $retourliste = FALSE;
        }

        // Vérifie si utilisé dans un ordre de travail
        $rexist = 'SELECT COUNT(*) FROM `' . TBOT . "` WHERE `ot_codelieu` = '$code'";
        $nb_rs = $db->get_var($rexist);
        if ($nb_rs <> 0) {
            if (trim($msg) <> '') {
                $msg .= '<br />';
            }
            $msg = _('Ce lieu est utilisé dans un ordre de travail');
            $ok_del = FALSE;
            $retourliste = FALSE;
        }

        // Vérifie si utilisé dans un détail horaire ordre de travail
        $rexist = 'SELECT COUNT(*) FROM `' . TBOTH . "` WHERE `oth_codelieu` = '$code'";
        $nb_rs = $db->get_var($rexist);
        if ($nb_rs <> 0) {
            if (trim($msg) <> '') {
                $msg .= '<br />';
            }
            $msg = _('Ce lieu est utilisé dans un détail horaire ordre de travail');
            $ok_del = FALSE;
            $retourliste = FALSE;
        }

        if ($ok_del == TRUE) {
            // Vérifie si on peut supprimer ce lieu
            $rexist = 'SELECT COUNT(*) FROM `' . TBLIEU . "` WHERE `lieu_code` = '$code' AND `lieu_delok` = '1'";
            $nb_rs = $db->get_var($rexist);
            if ($nb_rs <> 0) {
                // SUPPRESSION de la fiche Lieu
                $rech = 'DELETE FROM `' . TBLIEU . "` WHERE `lieu_code` = '$code'";
                $db->query($rech);
                $msg = _('Fiche supprimée');
            } else {
                $msg = _('Suppression impossible');
                $retourliste = FALSE;
            }
        }
        break;

    default :
        break;
}
close_database();
?>

<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Fiche lieu'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            <?php
            if ($retourliste == FALSE)
                {echo "warn_txt('" . str_escape($msg) . "');";}
            ?>
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>

<?php include_once('../inc/entete.inc.php');
cre_ent_form($titre, '', '', '', FALSE);
if ($retourliste == FALSE) {
    aff_ret_idx_man($td, 'lieu_lst.php', _('Retour à la liste'), TRUE);
} else {
    pop_ret_auto($msg, 'ok', 'lieu_lst.php');
}
include_once('pied.php');
?>
</body>
</html>